Bug 237495 - lang/rust: build fail with LibreSSL 2.9.1
Summary: lang/rust: build fail with LibreSSL 2.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-23 13:22 UTC by rozhuk.im
Modified: 2019-05-15 03:13 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (rust)


Attachments
build.log (3.65 KB, text/plain)
2019-04-23 13:22 UTC, rozhuk.im
no flags Details
rust-libressl291.patch (866 bytes, patch)
2019-04-23 15:43 UTC, Maciej Pasternacki
tobik: maintainer-approval-
Details | Diff
Based on https://github.com/sfackler/rust-openssl/pull/1097/files - all 4 commits included (4.51 KB, patch)
2019-05-02 19:03 UTC, rozhuk.im
tobik: maintainer-approval-
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2019-04-23 13:22:45 UTC
Created attachment 203924 [details]
build.log

Build fail with LibreSSL 2.9.1
Comment 2 Tobias Kortkamp freebsd_committer 2019-04-23 16:11:36 UTC
Comment on attachment 203929 [details]
rust-libressl291.patch

I'd rather we add a patch that was approved by upstream.

Also see https://github.com/sfackler/rust-openssl/pull/1097.
Comment 3 rozhuk.im 2019-05-02 19:03:32 UTC
Created attachment 204169 [details]
Based on https://github.com/sfackler/rust-openssl/pull/1097/files - all 4 commits included

rust and firefox build ok.
Comment 4 Tobias Kortkamp freebsd_committer 2019-05-02 19:06:28 UTC
Comment on attachment 204169 [details]
Based on https://github.com/sfackler/rust-openssl/pull/1097/files - all 4 commits included

It has not been accepted upstream and they found some problems with it still.
Comment 5 rozhuk.im 2019-05-02 19:12:48 UTC
(In reply to Tobias Kortkamp from comment #4)

I know, but it works at least for buld ff.
Comment 6 Thomas Hurst 2019-05-10 11:25:43 UTC
(In reply to Tobias Kortkamp from comment #4)

#1097 was merged yesterday, test failures were from a LibreSSL bug, not a fault with the patch.
Comment 7 commit-hook freebsd_committer 2019-05-15 03:12:47 UTC
A commit references this bug:

Author: tobik
Date: Wed May 15 03:12:29 UTC 2019
New revision: 501679
URL: https://svnweb.freebsd.org/changeset/ports/501679

Log:
  lang/rust: Update to 1.34.2

  - While here add patches from [1] for LibreSSL 2.9.1 support

  [1] https://github.com/sfackler/rust-openssl/pull/1097

  Changes:	https://blog.rust-lang.org/2019/05/13/Security-advisory.html
  Changes:	https://blog.rust-lang.org/2019/05/14/Rust-1.34.2.html
  PR:		237495 [1]
  Security:	37528379-76a8-11e9-a4fd-00012e582166

Changes:
  head/Mk/Uses/cargo.mk
  head/audio/spotifyd/Makefile
  head/benchmarks/hyperfine/Makefile
  head/databases/puppetdb-cli/Makefile
  head/devel/bingrep/Makefile
  head/devel/git-absorb/Makefile
  head/devel/interactive_rebase_tool/Makefile
  head/devel/pijul/Makefile
  head/devel/racer/Makefile
  head/devel/racerd/Makefile
  head/devel/rust-bindgen/Makefile
  head/devel/rust-cbindgen/Makefile
  head/devel/sccache/Makefile
  head/devel/tokei/Makefile
  head/dns/doh-proxy/Makefile
  head/editors/kak-lsp/Makefile
  head/editors/parinfer-rust/Makefile
  head/editors/xi-core/Makefile
  head/editors/xi-term/Makefile
  head/games/genact/Makefile
  head/games/jaggedalliance2/Makefile
  head/graphics/librsvg2-rust/Makefile
  head/lang/rust/Makefile
  head/lang/rust/distinfo
  head/lang/rust/files/patch-vendor_openssl-sys_build_cfgs.rs
  head/lang/rust/files/patch-vendor_openssl-sys_build_main.rs
  head/lang/rust/files/patch-vendor_openssl-sys_src_crypto.rs
  head/lang/rust/files/patch-vendor_openssl-sys_src_ssl.rs
  head/lang/rust/files/patch-vendor_openssl_build.rs
  head/lang/rust/files/patch-vendor_openssl_src_ssl_mod.rs
  head/lang/rust/files/patch-vendor_openssl_src_version.rs
  head/mail/thunderbird/Makefile
  head/multimedia/rav1e/Makefile
  head/net/boringtun/Makefile
  head/net/rabbiteer/Makefile
  head/net/routinator/Makefile
  head/net-im/fractal/Makefile
  head/security/cargo-audit/Makefile
  head/security/kr/Makefile
  head/security/suricata/Makefile
  head/shells/ion/Makefile
  head/sysutils/exa/Makefile
  head/sysutils/fd/Makefile
  head/sysutils/flowgger/Makefile
  head/sysutils/fusefs-sandboxfs/Makefile
  head/sysutils/hexyl/Makefile
  head/sysutils/potnet/Makefile
  head/textproc/bat/Makefile
  head/textproc/ripgrep/Makefile
  head/textproc/sd/Makefile
  head/textproc/sonic/Makefile
  head/textproc/xsv-rs/Makefile
  head/www/cliqz/Makefile
  head/www/ffsend/Makefile
  head/www/firefox/Makefile
  head/www/firefox-esr/Makefile
  head/www/geckodriver/Makefile
  head/www/miniserve/Makefile
  head/www/newsboat/Makefile
  head/www/websocat/Makefile
  head/x11/admiral/Makefile
  head/x11/alacritty/Makefile